# Uses of Interface
java.lang.foreign.SegmentAllocator

Packages that use SegmentAllocator
Package
Description
java.lang.foreign
Provides low-level access to memory and functions outside the Java runtime.

## Uses of SegmentAllocator in java.lang.foreign

Subinterfaces of SegmentAllocator in java.lang.foreign
Modifier and Type
Interface
Description
`interface`
`Arena`
An arena controls the lifecycle of native memory segments, providing both flexible allocation and timely deallocation.
Methods in java.lang.foreign that return SegmentAllocator
Modifier and Type
Method
Description
`static SegmentAllocator`
SegmentAllocator.`prefixAllocator(MemorySegment segment)`
Returns a segment allocator that responds to allocation requests by recycling a single segment.
`static SegmentAllocator`
SegmentAllocator.`slicingAllocator(MemorySegment segment)`
Returns a segment allocator that responds to allocation requests by returning consecutive slices obtained from the provided segment.